﻿using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 변환
        /// </summary>
        private Transform transform;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Loaded += Window_Loaded;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 윈도우 로드시 처리하기 - Window_Loaded(sender, e)

        /// <summary>
        /// 윈도우 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            this.transform = new Transform(this, this.button);

            this.transform.canDrag      = true;
            this.transform.canScale     = true;
            this.transform.canRotate    = true;
            this.transform.showPosition = true;

            this.transform = new Transform(this, this.border);

            this.transform.canDrag      = true;
            this.transform.canScale     = true;
            this.transform.canRotate    = true;
            this.transform.showPosition = true;

            this.transform = new Transform(this, this.image1);

            this.transform.canDrag      = true;
            this.transform.canScale     = true;
            this.transform.canRotate    = true;
            this.transform.showPosition = true;

            this.transform = new Transform(this, this.grid);

            this.transform.canDrag      = true;
            this.transform.canScale     = true;
            this.transform.canRotate    = true;
            this.transform.showPosition = true;
        }

        #endregion
    }
}